Page MenuHomePhabricator

Hashlinks with question marks shown as missing articles in preview
Closed, ResolvedPublic1 Story Points

Description

Steps to reproduce:

  1. Open a page for editing in NWE.
  2. Add the text [[#foo]], [[#foo?]].
  3. Preview.

Expected:
Both links should be blue.

Actual:
The first is blue as it should, but the second is red.

Details

Related Gerrit Patches:
mediawiki/extensions/VisualEditor : masterMWInternalLinkAnnotation: test fragment behavior
mediawiki/extensions/VisualEditor : masterdm.MWInternalLinkAnnotation: account for ? in fragment

Event Timeline

Schnark created this task.May 11 2018, 9:15 AM
Restricted Application added a project: VisualEditor. · View Herald TranscriptMay 11 2018, 9:15 AM
Restricted Application added a subscriber: Aklapper. · View Herald Transcript

Change 433760 had a related patch set uploaded (by DLynch; owner: DLynch):
[mediawiki/extensions/VisualEditor@master] dm.MWInternalLinkAnnotation: account for ? in fragment

https://gerrit.wikimedia.org/r/433760

DLynch claimed this task.May 18 2018, 6:01 PM
DLynch edited projects, added VisualEditor (Current work); removed VisualEditor.
DLynch moved this task from Incoming to Code review on the VisualEditor (Current work) board.

Change 433760 merged by jenkins-bot:
[mediawiki/extensions/VisualEditor@master] dm.MWInternalLinkAnnotation: account for ? in fragment

https://gerrit.wikimedia.org/r/433760

Change 433812 had a related patch set uploaded (by DLynch; owner: DLynch):
[mediawiki/extensions/VisualEditor@master] MWInternalLinkAnnotation: test fragment behavior

https://gerrit.wikimedia.org/r/433812

Change 433812 merged by jenkins-bot:
[mediawiki/extensions/VisualEditor@master] MWInternalLinkAnnotation: test fragment behavior

https://gerrit.wikimedia.org/r/433812

Jdforrester-WMF set the point value for this task to 1.
Deskana closed this task as Resolved.May 28 2018, 3:07 PM
Deskana triaged this task as Medium priority.
Vvjjkkii renamed this task from Hashlinks with question marks shown as missing articles in preview to k5caaaaaaa.Jul 1 2018, 1:10 AM
Vvjjkkii reopened this task as Open.
Vvjjkkii removed DLynch as the assignee of this task.
Vvjjkkii raised the priority of this task from Medium to High.
Vvjjkkii updated the task description. (Show Details)
Vvjjkkii removed the point value for this task.
Vvjjkkii edited subscribers, added: DLynch; removed: gerritbot, Aklapper.
CommunityTechBot renamed this task from k5caaaaaaa to Hashlinks with question marks shown as missing articles in preview.Jul 1 2018, 5:56 PM
CommunityTechBot closed this task as Resolved.
CommunityTechBot assigned this task to DLynch.
CommunityTechBot lowered the priority of this task from High to Medium.
CommunityTechBot set the point value for this task to 1.
CommunityTechBot updated the task description. (Show Details)
CommunityTechBot edited subscribers, added: gerritbot, Aklapper; removed: DLynch.